# List Collections

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/collections/list/

`GET /unified/ticketing/collections`

Resource: **Collections** · API: **Unified Ticketing API**

## Supported integrations

Airtable, Asana, Basecamp, Bitbucket, Dixa, Enchant, Front, Gorgias, Help Scout, Hive, HubSpot, Jira, Jira Service Management, Linear, Microsoft 365, Microsoft Planner, Monday.com, Pivotal Tracker, Planhat, Productboard, Quickbase for Project Management, Re:amaze, ServiceNow, Shortcut, SolarWinds Service Desk, Teamwork Project Management, Todoist, Trello, Wrike, YouTrack, Zoho Projects

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`workspace_id`** _(string)_
  The unique identifier for the workspace
- **`workspace`** _(object)_
- **`sort_by`** _(object)_
  Allowed: `created_at`, `name`, `updated_at`
- **`name`** _(string)_
  Only supports when type is 'version'.
- **`type`** _(string)_
  The type of the collection
  Allowed: `component`, `epic`, `iteration`, `milestone`, `product`, `project`, `section`, `tasklist`, `version`, `workflow`
- **`parent_collection_id`** _(string)_
  The parent collection id
- **`updated_at`** _(string)_
  The date and time when the collection was updated
- **`urls`** _(array<object>)_
  The URLs of the collection
- **`organization`** _(object)_

## Response body

- **`result`** _(array<object>)_
  List of Collections
  - **`id`** _(string, required)_
    The unique identifier for a collection
  - **`name`** _(string)_
    The name of the collection
  - **`description`** _(string)_
    The description of the collection
  - **`type`** _(string)_
    The type of the collection
  - **`parent_collection_id`** _(string)_
    The parent collection id
  - **`urls`** _(array<object>)_
    The URLs of the collection
    - **`url`** _(string)_
      The URL of the collection
  - **`workspace`** _(object)_
    - **`id`** _(string)_
      The unique identifier for a workspace
    - **`name`** _(string)_
      The name of the workspace
  - **`created_at`** _(string)_
    The date and time when the collection was created
  - **`updated_at`** _(string)_
    The date and time when the collection was updated
  - **`etag`** _(string)_
    The unique identifier for the specific version of the resource.
  - **`entity_type`** _(string)_
    The type of entity that belongs to this collection
    Allowed: `contact`, `ticket`
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ticketing/collections?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/collections?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ticketing/collections"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ticketing',
  'collections',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ticketing",
        "collections",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
